<?php
include 'config.php';

$request = "";
if(isset($_POST['request'])){
    $request = $_POST['request'];
}

// Datatable Data
if($request == 'paginationData'){

    ## Read value
    $draw = $_POST['draw'];
    $row = $_POST['start'];
    $rowperpage = $_POST['length']; // Rows display per page
    $columnIndex = $_POST['order'][0]['column']; // Column index
    $columnName = $_POST['columns'][$columnIndex]['data']; // Column name
    $columnSortOrder = $_POST['order'][0]['dir']; // asc or desc
    $searchValue = mysqli_real_escape_string($con,$_POST['search']['value']); // Search value

    ## Search 
    $searchQuery = " ";
    if($searchValue != ''){
        $searchQuery = " and (emp_name like '%".$searchValue."%' or email like '%".$searchValue."%' or city like'%".$searchValue."%' ) ";
    }

    ## Total number of records without filtering
    $sel = mysqli_query($con,"select count(*) as allcount from employees");
    $records = mysqli_fetch_assoc($sel);
    $totalRecords = $records['allcount'];

    ## Total number of records with filtering
    $sel = mysqli_query($con,"select count(*) as allcount from employees WHERE 1 ".$searchQuery);
    $records = mysqli_fetch_assoc($sel);
    $totalRecordwithFilter = $records['allcount'];

    ## Fetch records
    $empQuery = "select * from employees WHERE 1 ".$searchQuery." order by ".$columnName." ".$columnSortOrder." limit ".$row.",".$rowperpage;
    $empRecords = mysqli_query($con, $empQuery);
    $data = array();

    while ($row = mysqli_fetch_assoc($empRecords)) {

        $empid = $row['id'];
        
        // Status
        $checked = ""; 
        if($row['status'] == 1){
            $checked = "checked";
        }
       
        $status_html = '<label class="switch">
              <input type="checkbox" '.$checked.' class="changeuserstatus" data-id="'.$empid.'" >
              <span class="slider round"></span>
            </label>';
       
        $data[] = array(
            "emp_name"=>$row['emp_name'],
            "email"=>$row['email'],
            "gender"=>$row['gender'],
            "city"=>$row['city'],
            "status"=>$status_html,
        );
    }

    ## Response
    $response = array(
        "draw" => intval($draw),
        "iTotalRecords" => $totalRecords,
        "iTotalDisplayRecords" => $totalRecordwithFilter,
        "aaData" => $data
    );

    echo json_encode($response);
    die;
}

// Change user status
if($request == 'changeStatus'){
    $empid = $_POST['id'];
    $status = $_POST['status'];

    mysqli_query($con,"UPDATE employees set status=".$status." WHERE id=".$empid);

    echo 1;
    die;
}

